Loading...
Searching...
No Matches
wimlib_progress_info::wimlib_progress_info_done_with_file Struct Reference

Valid on messages WIMLIB_PROGRESS_MSG_DONE_WITH_FILE. More...

`#include <wimlib.h>`

## Data Fields

const wimlib_tchar * | path_to_file
| Path to the file whose data has been written to the WIM file, or is currently being asynchronously compressed in memory, and therefore is no longer needed by wimlib.

## Detailed Description

Valid on messages WIMLIB_PROGRESS_MSG_DONE_WITH_FILE.

## Field Documentation

## path_to_file

const wimlib_tchar* wimlib_progress_info::wimlib_progress_info_done_with_file::path_to_file

Path to the file whose data has been written to the WIM file, or is currently being asynchronously compressed in memory, and therefore is no longer needed by wimlib.

WARNING: The file data will not actually be accessible in the WIM file until the WIM file has been completely written. Ordinarily you should not treat this message as a green light to go ahead and delete the specified file, since that would result in data loss if the WIM file cannot be successfully created for any reason.

If a file has multiple names (hard links), WIMLIB_PROGRESS_MSG_DONE_WITH_FILE will only be received for one name. Also, this message will not be received for empty files or reparse points (or symbolic links), unless they have nonempty named data streams.

The documentation for this struct was generated from the following file:

- wimlib.h